using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Takmicenje
{
    class Program
    {
        static void Main(string[] args)
        {
            string s = "";

            Console.WriteLine("Unesi prvi broj:");
            s = Console.ReadLine();
            string prviBroj = s; 
            
            Console.WriteLine("Unesi drugi broj:");
            s = Console.ReadLine();
            string drugiBroj = s;

            Console.WriteLine("Unesi treci broj:");
            s = Console.ReadLine();
            string treciBroj = s;

            Console.WriteLine(PravljenjeBroja(prviBroj, drugiBroj, treciBroj));

        }
        private static long PravljenjeBroja(string prviBroj, string drugiBroj, string treciBroj)
        {
            string prvi = "";
            string drugi = "";
            string treci = "";
            string cetvrti = "";
            string peti = "";
            string sesti = "";
            long max = 0;

            prvi = prviBroj + drugiBroj + treciBroj;
            drugi = prviBroj + treciBroj + drugiBroj;
            treci = drugiBroj + prviBroj + treciBroj;
            cetvrti = drugiBroj + treciBroj + prviBroj;
            peti = treciBroj + prviBroj + drugiBroj;
            sesti = treciBroj + drugiBroj + prviBroj;

            max = long.Parse(prvi);
            if(max < long.Parse(drugi))
            {
                max = long.Parse(drugi);
            }
            if(max < long.Parse(treci))
            {
                max = long.Parse(treci);
            }
            if (max < long.Parse(cetvrti))
            {
                max = long.Parse(cetvrti);
            }
            if (max < long.Parse(peti))
            {
                max = long.Parse(peti);
            }
            if (max < long.Parse(sesti))
            {
                max = long.Parse(sesti);
            }
            return max;
        }
    }
}